## org.apache.cassandra.cache
Class KeyCacheKey

    java.lang.Object
      org.apache.cassandra.cache.KeyCacheKey

All Implemented Interfaces:
  CacheKey

    public class KeyCacheKey

extends java.lang.Object
implements CacheKey

Constructor Summary
`KeyCacheKey(Descriptor desc, java.nio.ByteBuffer key)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`Pair<java.lang.String,java.lang.String>` `getPathInfo()`
`int` `hashCode()`
`int` `serializedSize()`
`java.lang.String` `toString()`
`void` `write(java.io.DataOutputStream out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyCacheKey

    public KeyCacheKey(Descriptor desc,
                       java.nio.ByteBuffer key)

Method Detail

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Specified by:
    `write` in interface `CacheKey`
  Throws:
    `java.io.IOException`

### getPathInfo

    public Pair<java.lang.String,java.lang.String> getPathInfo()

  Specified by:
    `getPathInfo` in interface `CacheKey`
  Returns:
    The keyspace and ColumnFamily names to which this key belongs

### serializedSize

    public int serializedSize()

  Specified by:
    `serializedSize` in interface `CacheKey`
  Returns:
    The size of the serialized key

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation